<!-- markdownlint-disable MD013 MD024 -->
# Changes CompatInfo 7.x

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html),
and is generated by [Changie](https://github.com/miniscruff/changie).

## 7.1.4 - 2024-04-24

### Fixed

- [#370](https://github.com/llaville/php-compatinfo/issues/370) : Typed properties PHP 7.4 feature not displayed by rule reporter
- [#374](https://github.com/llaville/php-compatinfo/issues/374) : Constructor readonly properties not detected as a PHP 8.1 feature

**Full Changelog**: [7.1.3...7.1.4](https://github.com/llaville/php-compatinfo/compare/7.1.3...7.1.4)

## 7.1.3 - 2024-03-19

### Changed

- Raise `bartlett/php-compatinfo-db` constraint on versions 6.4 to fix compatibility with version resolving

### Fixed

- [#370](https://github.com/llaville/php-compatinfo/issues/370) : Typed properties PHP 7.4 feature not displayed by rule reporter

**Full Changelog**: [7.1.2...7.1.3](https://github.com/llaville/php-compatinfo/compare/7.1.2...7.1.3)

## 7.1.2 - 2024-02-08

### Changed

- [#369](https://github.com/llaville/php-compatinfo/issues/369) : Add support to `$_composer_autoload_path` global Composer variable
- Upgrade `ConsoleKernel::getCacheDir()` to compatible with CompatInfoDB 6.2.1
- Reduce size of PHAR version (same [feature](https://github.com/llaville/php-compatinfo-db/issues/138) as for CompatInfoDB)

### Fixed

- Dockerfile : be able to use all 7.1 versions family without to hardcode a composer constraint that will be wrong with major releases
- Cannot convert to GitHub Action (same [issue]((https://github.com/llaville/php-compatinfo-db/issues/139)) as for CompatInfoDB)

**Full Changelog**: [7.1.1...7.1.2](https://github.com/llaville/php-compatinfo/compare/7.1.1...7.1.2)

## 7.1.1 - 2024-01-18

### Changed

- Add PHP-Parser 5.0 support (migrate code following [guide](https://github.com/nikic/PHP-Parser/blob/master/UPGRADE-5.0.md))

### Removed

- `Bartlett\CompatInfo\Application\PhpParser\NodeDumper` class (incompatible with PHP-Parser 5, and unused for production)

### Fixed

- [#368](https://github.com/llaville/php-compatinfo/issues/368) : clarify documentation about `ext-pdo` requirement
- Sarif report did not report rules on recent php versions (8.2 and 8.3)
- ReservedSniff is now able to detect correctly mixed and never keyword usage

**Full Changelog**: [7.1.0...7.1.1](https://github.com/llaville/php-compatinfo/compare/7.1.0...7.1.1)

## 7.1.0 - 2024-01-01

> **WARNING**
>
> As PHP 8.0 is still supported, database of CompatInfoDB (v5.14) is outdated and does not contain recent PHP 8.3 elements.
>
> But source code that implement PHP 8.3 new features may be detected !

### Added

- PHP 8.3.0 support
- Docker support with official image : <https://github.com/llaville/php-compatinfo/pkgs/container/php-compatinfo>
- Compatibility with Symfony Components v7

**Full Changelog**: [7.0.3...7.1.0](https://github.com/llaville/php-compatinfo/compare/7.0.3...7.1.0)

## 7.0.3 - 2023-12-30

### Fixed

- Print wrong link on about command output
- Allow to use the db:new command from CompatInfoDB 6.1.x

**Full Changelog**: [7.0.2...7.0.3](https://github.com/llaville/php-compatinfo/compare/7.0.2...7.0.3)

## 7.0.2 - 2023-12-06

### Changed

- update `bartlett/php-compatinfo-db` constraint
- `bartlett/graph-uml` dev dependency was removed and replaced by phar artifact version download with the GH gh-pages workflow

**Full Changelog**: [7.0.1...7.0.2](https://github.com/llaville/php-compatinfo/compare/7.0.1...7.0.2)

## 7.0.1 - 2023-11-14

### Changed

- CompatInfo 7.0.1 will be the last version to support PHP 8.0; 8.1 and 8.2 will be accepted but not 8.3
- `tests/bootstrap.php` file to prevent PHPUnit to failed with error if database is not built and populate (launch auto diagnose)

### Fixed

- Misunderstood the [RFC](https://wiki.php.net/rfc/same-site-cookie). The first suggestion with additional argument was never implemented
- [#363](https://github.com/llaville/php-compatinfo/issues/363) : PHP 8.2 features support

**Full Changelog**: [7.0.0...7.0.1](https://github.com/llaville/php-compatinfo/compare/7.0.0...7.0.1)

## 7.0.0 - 2023-05-12

### Changed

- add support for PHP CompatInfoDB 5.0
- raise `psr/log` constraint for v3 support

### Removed

- drop support for PHP 7
- drop support for Symfony 4 and allow Symfony 6 support

**Full Changelog**: [6.5.5...7.0.0](https://github.com/llaville/php-compatinfo/compare/6.5.5...7.0.0)
